@echo off

REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
REM 
REM Downloads shaderc from github into contrib/
REM 
REM Last changed: 24/11/23 (DD/MM/YY)
REM 
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

SETLOCAL

SET SHADERC_VER=v2023.7
SET SHADERC_REPO=https://github.com/google/shaderc.git

REM Check if we are beeing run from scripts/ or from root
IF EXIST meson.build GOTO :DOWNLOAD
CD ..

:DOWNLOAD
git clone --quiet %SHADERC_REPO% contrib\shaderc
PUSHD contrib\shaderc
git checkout --quiet %SHADERC_VER%
python3 .\utils\git-sync-deps
RMDIR /S /Q .git

MKDIR build-win
PUSHD build-win
cmake ..
cmake --build . --config Release
cmake --build . --config Debug
POPD 


POPD
ENDLOCAL
