#ifndef RT_RENCOM_RENDERER_API_H
#define RT_RENCOM_RENDERER_API_H

#include "runtime/runtime.h"
#include "renderer.h"

typedef void rt_render_backend_register_cvars_fn(void);
typedef rt_result rt_render_backend_init_fn(const rt_renderer_init_info *info);
typedef void rt_render_backend_shutdown_fn(void);

/* Public renderer interface */
typedef struct {
    rt_render_backend_register_cvars_fn *RegisterCVARs;
    rt_render_backend_init_fn *Init;
    rt_render_backend_shutdown_fn *Shutdown;
} rt_render_backend_api;

extern rt_render_backend_api g_render_backend;

#endif
